Bug 343801 - asssertion failed with in 'a new order' unit_map::add Assertion `res.second' failed
asssertion failed with in 'a new order' unit_map::add Assertion `res.second'...
Product: Fedora
Classification: Fedora
Component: wesnoth (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-20 09:35 EDT by Patrice Dumas
Modified: 2008-03-18 08:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-18 08:04:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
save file that shows the bug (564.14 KB, application/octet-stream)
2007-11-09 04:10 EST, Patrice Dumas
no flags Details

  None (edit)
Description Patrice Dumas 2007-10-20 09:35:38 EDT
Description of problem:

In the Orannon scenario, maybe the last?

Turn 30 (there is no limit to the number of turn, maybe
this is linked).

Before crashing, on the console there is

scenario: 'ano_27'
has snapshot: yes
setting replay to end...
error display: could not open image ''
wesnoth: unit_map.cpp:55: void unit_map::add(std::pair<gamemap::location,
unit>*): Assertion `res.second' failed.

Version-Release number of selected component (if applicable):


How reproducible:

Always. But maybe this is linked with my place in the game.

Steps to Reproduce:
1. go to the Orannon scenario in the 'A new order' scenario
Actual results:

Expected results:

Additional info:

There are errors before but they are always there, and
certainly linked with other scenarios.
Comment 1 Patrice Dumas 2007-11-09 04:07:19 EST
In fact it is not reproducible for each action. If I kill 
a zombie, the bug (that happens during the computer turn)
doesn't show up. And also it only shows up if some unit gets 

I still have the save file lying around, I'll
attach it.
Comment 2 Patrice Dumas 2007-11-09 04:10:15 EST
Created attachment 252471 [details]
save file that shows the bug
Comment 3 Jon Ciesla 2008-02-26 07:54:01 EST
New build in rawhide, please test for this bug.
Comment 4 Patrice Dumas 2008-02-27 14:37:55 EST
The new version cannot read my save file...
Comment 5 Patrice Dumas 2008-03-18 08:04:17 EDT
Since I cannot reproduce it, I close that bug.

Note You need to log in before you can comment on or make changes to this bug.